# get all git repos needed

include ./../../../root.mk

LIB_REPO=				github.com/tailscale
LIB_REPO_FSPATH=		$(GOPATH)/src/$(LIB_REPO)

this-print:
	@echo LIB_REPO: 			$(LIB_REPO)
	@echo LIB_REPO_FSPATH: 		$(LIB_REPO_FSPATH)

this-git-clone:
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/tailscale-android LIB_FSPATH=$(LIB_REPO_FSPATH)/tailscale-android
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/tailscale LIB_FSPATH=$(LIB_REPO_FSPATH)/tailscale
	
this-git-delete:
	rm -rf $(LIB_REPO_FSPATH)

this-vscode-open:
	code $(LIB_REPO_FSPATH)

LIB_FSPATH=$(LIB_REPO_FSPATH)/tailscale-android

build:
	## android
	cd $(LIB_FSPATH) && $(MAKE) aar

docker-build:	
	# https://github.com/tailscale/tailscale-android/blob/master/Dockerfile
	# nothing in OS needed then :)
	# openJDK 8, android sdk-tools, sdk android-29, sdk extras;android;m2repository, ndk;20.0.5594570
	cd $(LIB_FSPATH) && $(MAKE) dockershell

	# how to get out and put on device

docker-build-1:
	cd $(LIB_FSPATH) && $(MAKE) tailscale-debug.apk
docker-cp:
	mkdir -p $(PWD)/bin
	docker ps
	# bb1b89be4972
	#docker cp tailscale-android:/android/libs/ipn.aar $(PWD)/bin/ipn.aar
	#docker cp bb1b89be4972:~/tailscale-android/android/libs/ipn.aar $(PWD)/bin/ipn.aar
	docker cp bb1b89be4972:/tailscale-android/android/libs/ipn.aar $(PWD)/bin/ipn.aar

install:
	cd $(LIB_FSPATH) && $(MAKE) install


